Browse Source

Updated from global requirements

Change-Id: Ica4c04b378d482945c3cde219cf9a5ade0151b9d
changes/30/180830/3
OpenStack Proposal Bot 7 years ago committed by Walter A. Boring IV (hemna)
parent
commit
418a9655dd
  1. 16
      requirements.txt
  2. 8
      setup.py
  3. 4
      test-requirements.txt

16
requirements.txt

@ -2,13 +2,13 @@
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0
pbr>=0.11,<2.0
Babel>=1.3
eventlet>=0.16.1,!=0.17.0
oslo.concurrency>=1.8.0,<1.9.0
oslo.log>=1.0.0,<1.1.0
oslo.serialization>=1.4.0,<1.5.0
oslo.i18n>=1.5.0,<1.6.0
oslo.utils>=1.4.0,<1.5.0
retrying>=1.2.3,!=1.3.0
eventlet>=0.17.3
oslo.concurrency>=1.8.0 # Apache-2.0
oslo.log>=1.0.0 # Apache-2.0
oslo.serialization>=1.4.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.utils>=1.4.0 # Apache-2.0
retrying>=1.2.3,!=1.3.0 # Apache-2.0
six>=1.9.0

8
setup.py

@ -17,6 +17,14 @@
# THIS FILE IS MANAGED BY THE GLOBAL REQUIREMENTS REPO - DO NOT EDIT
import setuptools
# In python < 2.7.4, a lazy loading of package `pbr` will break
# setuptools if some other modules registered functions in `atexit`.
# solution from: http://bugs.python.org/issue15881#msg170215
try:
import multiprocessing # noqa
except ImportError:
pass
setuptools.setup(
setup_requires=['pbr'],
pbr=True)

4
test-requirements.txt

@ -7,8 +7,8 @@ coverage>=3.6
discover
python-subunit>=0.0.18
sphinx>=1.1.2,!=1.2.0,!=1.3b1,<1.3
oslosphinx>=2.5.0,<2.6.0
oslotest>=1.5.1,<1.6.0
oslosphinx>=2.5.0 # Apache-2.0
oslotest>=1.5.1 # Apache-2.0
testrepository>=0.0.18
testscenarios>=0.4
testtools>=0.9.36,!=1.2.0

Loading…
Cancel
Save